For Developers
Get Student Period Meeting
This model is part of the v2.5 API update which is currently in beta and therefore subject to change.
GET https://ed.link/api/v2/graph/student_period_meetings/:student_period_meeting_id
Retrieve information about a specific Student Period Meeting.
Request Parameters
| Parameter | Location | Type | Description |
|---|---|---|---|
student_period_meeting_id | url | string | The UUID of the desired Student Period Meeting. |
Sample Request
axios.get('https://ed.link/api/v2/graph/student_period_meetings/00000000-0000-0000-0000-000000000000', {
headers: {
authorization: `Bearer ${integration_access_token}`
}
});
Sample Response
{
"$data": {
"id": "00000000-0000-0000-0000-000000000000",
"created_date": "2021-07-05T20:32:40.454Z",
"updated_date": "2021-07-12T21:44:23.126Z",
"school_calendar_day_id": "00000000-0000-0000-0000-000000000001",
"class_id": "00000000-0000-0000-0000-000000000002",
"bell_schedule_period_id": "00000000-0000-0000-0000-000000000003",
"student_period_meeting_group_id": null,
"attendance_taken": true
},
"$request": "00000000-0000-0000-0000-000000000000"
}